Skip to main content
`Ctrl`+`K`

# DMTSCreateRHSMassMatrix

This creates the mass matrix associated with the given `DM`, and a solver to invert it, and stores them in the `DM` context.

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSCreateRHSMassMatrix(DM dm)

Collective

## Input Parameter

- dm - `DM` providing the mass matrix

## Note

The idea here is that an explicit system can be given a mass matrix, based on the `DM`, which is inverted on the RHS at each step.

## See Also

TS: Scalable ODE and DAE Solvers, `DM`, `DMTSCreateRHSMassMatrixLumped()`, `DMTSDestroyRHSMassMatrix()`, `DMCreateMassMatrix()`, `DMTS`

## Level

developer

## Location

src/ts/utils/dmlocalts.c

## Examples

src/ts/tutorials/ex45.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages